Subject: Re: bug#51263: 29.0.50; [PATCH] Use run-at-time to read a password in comint

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 18 Oct 2021 15:25:54 +0200

[email-masked] writes:

> I've come up with a solution: using (run-at-time 0 ...), we can prompt
> for a password after the filter function finishes execution.  The
> attached patch implements this for comint, eshell and term.el.

Seems to work very nicely -- I tried mixing some async output while
prompting for a "su" password, and I couldn't see any glitches, so I've
pushed your patch to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no